Выполнение произвольного PHP кода в PacerCMS

Дата публикации:
11.02.2008
Всего просмотров:
1220
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PacerCMS 0.x
Уязвимые версии: PacerCMS 0.6.2, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "last_module" в сценарии includes/adodb_lite/adodb-perf-module.inc.php перед вызовом функции "eval()". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[host]/includes/adodb_lite/adodb-perf-module.inc.php?last_module=t{};%20class%20t{};passthru(ls);

URL производителя: pacercms.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA